import PropTypes from 'prop-types';
import { BASE_CLASS_BUTTON } from './config.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var InputButton = function InputButton(_ref) {
  var button = _ref.button,
    children = _ref.children;
  if (button === undefined) {
    return children;
  }
  return /*#__PURE__*/_jsxs("div", {
    className: BASE_CLASS_BUTTON,
    children: [/*#__PURE__*/_jsx("div", {
      className: BASE_CLASS_BUTTON + "-input",
      children: children
    }), /*#__PURE__*/_jsx("div", {
      className: BASE_CLASS_BUTTON + "-button",
      children: button
    })]
  });
};
export default InputButton;